Subject: Re: [PATCH 0/5] run-command API: get rid of "argv"

From: Junio C Hamano <[email-masked]>
Date: Mon, 22 Nov 2021 10:11:18 -0800

Jeff King <[email-masked]> writes:

> I'm on the fence on how important it is to do these cleanups. IMHO they
> are half of what really sells the change in the first place (since the
> other bug can pretty easily be fixed without it).

Yes.  I actually think these have much better value for their
complexity, compared to the other "half" of the topic ;-)

> But maybe it is piling too much onto what is already a pretty big
> change. The cleanups could be done individually later.

I am OK with that, too.  But I do agree that the series is too big
to sit in front of a fix for a bug, for which a much simpler and
focused approach has already been discussed, to block it.

Thanks.